Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1882561 - Add per pool compression metrics to mgr/prometheus
Summary: Add per pool compression metrics to mgr/prometheus
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Mgr Plugins
Version: 4.2
Hardware: All
OS: All
unspecified
high
Target Milestone: ---
: 4.2z1
Assignee: Boris Ranto
QA Contact: Sunil Angadi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-25 01:32 UTC by Paul Cuzner
Modified: 2021-04-28 20:13 UTC (History)
8 users (show)

Fixed In Version: ceph-14.2.11-113.el8cp, ceph-14.2.11-113.el7cp
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-28 20:12:31 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Ceph Project Bug Tracker 47567 0 None None None 2020-09-25 01:47:45 UTC
Github ceph ceph pull 37289 0 None closed mgr/prometheus: add pool compression stats 2021-02-17 21:04:47 UTC
Red Hat Product Errata RHSA-2021:1452 0 None None None 2021-04-28 20:13:08 UTC

Description Paul Cuzner 2020-09-25 01:32:45 UTC
Description of problem:
mgr/prometheus exposed per pool statistics that does not include the compression information


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. curl http://<mgr>:9283/metrics
2. 
3.

Actual results:
In the output the ceph_pool_* statistics do not include compress_bytes_used or compress_under_bytes


Expected results:
mgr/prometheus should include the compression stats per pool, like this.
# HELP ceph_pool_compress_bytes_used DF pool compress_bytes_used                                                                                                                                                                              
# TYPE ceph_pool_compress_bytes_used gauge                                                                                                                                                                                                    
ceph_pool_compress_bytes_used{pool_id="1"} 0.0                                                                                                                                                                                                
ceph_pool_compress_bytes_used{pool_id="2"} 0.0                                                                                                                                                                                                
ceph_pool_compress_bytes_used{pool_id="3"} 0.0                                                                                                                                                                                                
ceph_pool_compress_bytes_used{pool_id="4"} 0.0                                                                                                                                                                                                
ceph_pool_compress_bytes_used{pool_id="5"} 0.0                                                                                                                                                                                                
ceph_pool_compress_bytes_used{pool_id="6"} 0.0                                                                                                                                                                                                
ceph_pool_compress_bytes_used{pool_id="7"} 0.0                                                                                                                                                                                                
ceph_pool_compress_bytes_used{pool_id="8"} 3277963264.0                                                                                                                                                                                       
ceph_pool_compress_bytes_used{pool_id="9"} 0.0                                                                                                                                                                                                
ceph_pool_compress_bytes_used{pool_id="12"} 0.0                                                                                                                                                                                               
# HELP ceph_pool_compress_under_bytes DF pool compress_under_bytes                                                                                                                                                                            
# TYPE ceph_pool_compress_under_bytes gauge                                                                                                                                                                                                   
ceph_pool_compress_under_bytes{pool_id="1"} 0.0                                                                                                                                                                                               
ceph_pool_compress_under_bytes{pool_id="2"} 0.0                                                                                                                                                                                               
ceph_pool_compress_under_bytes{pool_id="3"} 0.0                                                                                                                                                                                               
ceph_pool_compress_under_bytes{pool_id="4"} 0.0                                                                                                                                                                                               
ceph_pool_compress_under_bytes{pool_id="5"} 0.0                                                                                                                                                                                               
ceph_pool_compress_under_bytes{pool_id="6"} 0.0
ceph_pool_compress_under_bytes{pool_id="7"} 0.0
ceph_pool_compress_under_bytes{pool_id="8"} 25846505472.0
ceph_pool_compress_under_bytes{pool_id="9"} 0.0
ceph_pool_compress_under_bytes{pool_id="12"} 0.0



Additional info:

Comment 6 James Espy 2021-01-27 22:17:05 UTC
OCS 4.8

Comment 15 errata-xmlrpc 2021-04-28 20:12:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Red Hat Ceph Storage security, bug fix, and enhancement Update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1452


Note You need to log in before you can comment on or make changes to this bug.